Zuplo Developer API

Set of operations available to handle deployments. You can learn more about deployments here.


Gets a deployment status

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/projects/{projectName}/deployment-status/{statusId}

Gets the deployment status of your upload. Use the UUID of the uploaded sources as the statusId.

Gets a deployment status › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

projectName
​string · required

The name of the project. You can find this in your Zuplo Portal under Settings > Project Information.

statusId
​string · required

The UUID of the uploaded sources.

Gets a deployment status › Responses

The request has succeeded.

Status of a Zuplo project deployment, including the status, build results, and a URL to view more details.
status
​string · enum · required
Enum values:
SUCCESS
ERROR
IN_PROGRESS
Example: SUCCESS
url
​string · required
​object · required
​object · required

Lists deployments

GET
https://dev.zuplo.com
/v1/accounts/{accountName}/projects/{projectName}/deployments

Lists the deployments for the specified account and project.

Lists deployments › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

projectName
​string · required

The name of the project. You can find this in your Zuplo Portal under Settings > Project Information.

Lists deployments › Responses

The request has succeeded.


Upload deployment source

POST
https://dev.zuplo.com
/v1/deployments/sources

Creates a URL for uploading sources.

Upload deployment source › Request Body

accountName
​string · required

The name of the account

Example: my-account
projectName
​string · required

The name of the project

Example: my-project
branchName
​string · required

The name of the branch for deployment

Example: main

Upload deployment source › Responses

The request has succeeded.

uploadUrl
​string · required

Get a deployment

GET
https://dev.zuplo.com
/v1/deployments/{deploymentName}

Gets the specified deployment.

Get a deployment › path Parameters

deploymentName
​string · required

The name of the deployment. You can find this in the Zuplo Portal under Settings > Environments.

Get a deployment › Responses

The request has succeeded.

A single deployment of a Zup.
name
​string · required

The name of the deployment. You can find this in the Zuplo Portal under Settings > Environments.

Example: lime-fox-main-bbe7540
url
​string · required
label
​string · required
urlParameter
​string · required
createdOn
​string · required
updatedOn
​string · required
loggingId
​string · required
accountName
​string · required
projectName
​string · required
state
​string · required
message
​string · enum · required
Enum values:
Example:
branchName
​string · required
environmentType
​string · required

Deletes a deployment

DELETE
https://dev.zuplo.com
/v1/deployments/{deploymentName}

Deletes the specified deployment.

Deletes a deployment › path Parameters

deploymentName
​string · required

The name of the deployment. You can find this in the Zuplo Portal under Settings > Environments.

Deletes a deployment › Responses

The request has succeeded.

No data returned

Re-deploy a deployment

POST
https://dev.zuplo.com
/v1/deployments/{deploymentName}/deploy

Re-deploys the specified deployment so that it can pick up new environment variables or other configuration changes.

Re-deploy a deployment › path Parameters

deploymentName
​string · required

The name of the deployment. You can find this in the Zuplo Portal under Settings > Environments.

Re-deploy a deployment › Responses

The request has succeeded.

status
​string · required